/* See LICENSE file for copyright and license details. */

#include <stdio.h>
#include <stdlib.h>

#include "../headers/perceptron.h"

Perceptron
*new_perceptron(int i_num)
{
	Perceptron *p;

	p          = malloc(sizeof(Perceptron));
	p->i_num   = i_num;
	p->weights = calloc(i_num, sizeof(double));

	if (p==NULL || p->weights==NULL) {
		fprintf(stderr, "memory for perceptron was not allocated.\n");
		exit(EXIT_FAILURE);
	}

	return p;
}

void
free_perceptron(Perceptron *p)
{
	free(p->weights);
	free(p);
}
